Skip to content
Start here

Delete a Zone Lockdown rule

DELETE/zones/{zone_id}/firewall/lockdowns/{lock_downs_id}

Deletes an existing Zone Lockdown rule.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Firewall Services Write
Path ParametersExpand Collapse
zone_id: string

Defines an identifier.

maxLength32
lock_downs_id: string

The unique identifier of the Zone Lockdown rule.

maxLength32
ReturnsExpand Collapse
result: optional { id }
id: optional string

The unique identifier of the Zone Lockdown rule.

maxLength32

Delete a Zone Lockdown rule

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/firewall/lockdowns/$LOCK_DOWNS_ID \
    -X DELETE \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59"
  }
}
Returns Examples
{
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59"
  }
}